// ETA表格
import { get,post } from "./index";


// /**
//  * 通过code获取表格详情
//  * @param UniqueCode 
//  */
// export function apiSheetInfoByCode(params){
//     return get('/datamanage/excel_info/table_data',params)
// }

export default {
    /**
     * 通过code获取表格详情
     * @param UniqueCode 
     */
    infoByCode(params){
        return get('/datamanage/excel_info/table_data',params)
    },
    /**
     * 表格列表
     * @param Keyword
     * @param CurrentIndex
     * @param PageSize
     */
    sheetList(params){
        return get('/datamanage/excel_info/list',params)
    },

    /**
     * 表格刷新
     * ExcelInfoId
    */
    sheetRefresh(params){
        return get('/datamanage/excel_info/table/refresh',params)
    },

    // 平衡表中图表删除
    balanceSheetChartDel(params){
        return post('/datamanage/excel_info/balance/chart_del',params)
    },

    /**
     * 表格分类列表
     * @param Source 表格类型
     * @param IsShowMe 是否只显示我创建的
    */
       excelClassifyList(params){
        return get('/datamanage/excel_classify/list',params)
    },

    /**
     * 表格详情
     * @param ExcelInfoId 表格ID
    */
    excelDetail(params){
        return get('/datamanage/excel_info/detail',params)
    },

    /**
     * 删除表格
     * @param ExcelClassifyId 表格分类ID
     * @param ExcelInfoId 表格ID
     * @param Source 表格来源
    */
    excelDelete(params){
        return post('/datamanage/excel_classify/delete',params)
    },
    
    /**
     *  下载文件公共接口
    */
    apiDownloadResource(params){
        return get('/resource/file/download',params)
    },

    /**
     * 获取平衡表图表数据
     * @param ExcelInfoId 表格ID
    */
    getBalanceChartData(params){
        return get('/datamanage/excel_info/balance/chart_list',params)
    },

    /**
     * 平衡表获取版本列表
     * @param ExcelInfoId 表格ID
    */
    balanceTableVersion(params){
        return get('/datamanage/excel_info/balance/version',params)
    },

    /**
     * 平衡表获取子表列表
     * @param ParentId 表格ID
    */
    getBalanceChildTable(params){
        return get('/datamanage/excel_info/child_table',params)
    },
    
}